Ansys.com


Risultati da 1 a 5 di 5

Discussione: Cerchio tangente

  1. #1
    Utente Junior
    Iscritto dal
    2008
    Messaggi
    31
    Professione
    tecnico in ente pubblico
    Regione
    Piemonte
    Software
    Autocad 2008

    Predefinito Cerchio tangente

    ..a costo di fare la figura del principio di principiante....:o

    .....ho questo problema: ho scritto una routine in lisp che, date due linee che si intersecano, calcola il raggio del cerchio tale per cui il cerchio va ad essere tangente a tot metri dall'intersezione delle due linee (valore inserito dall'utente).
    Noto questo raggio devo disegnare questo cerchio: da Autocad, con il comando cerchio-tang-tang- raggio ed è fatto.

    Come traduco questo con qualche comando lisp? E' meglio andare con command o sfruttare entmake con tutti i parametri?

    Spero di essere stato chiaro, grazie a chi vorrà dedicarmi un po' del suo tempo ciao.:)

  2. #2
    Utente Standard L'avatar di rpor66
    Iscritto dal
    2007
    Messaggi
    617
    Professione
    Programmatore
    Regione
    Sicilia
    Software
    AutoCad, CadWorx, Excel, Lisp, VBA

    Predefinito

    Non so quanto pratico tu sia di lisp, posto il dwg con uno dei modi per costruire quello che chiedi (diciamo quello che ho capito)

    Parto dal presupposto di conoscere il punto Pt1 (intersezione delle 2 linee) e Pt3 (punto finale della linea)
    File Allegati File Allegati

  3. #3
    Utente Junior
    Iscritto dal
    2008
    Messaggi
    31
    Professione
    tecnico in ente pubblico
    Regione
    Piemonte
    Software
    Autocad 2008

    Predefinito

    Grandissimo!!!! ...sono poco pratico di lisp, ma è proprio ciò che avevo bisogno (il problema nasce dall'inserire in automatico una curva circolare tra due rettifli in un tracciato stradale).
    Alla fine avevo risolto usando (command "circle" ttr p1 p2 r), anche questa soluzione mi è stata suggerita:o

    ....grazie:):)
    Ultima modifica di titor; 13-03-2008 alle 14: 53

  4. #4
    Utente Junior
    Iscritto dal
    2008
    Messaggi
    31
    Professione
    tecnico in ente pubblico
    Regione
    Piemonte
    Software
    Autocad 2008

    Predefinito

    ...mi permetto di avanzare ancora una richiesta se possibile.:o
    Una volta che ho disegnato il cerchio dovrei trimmare cliccando sul cerchio e poi togliere la punta dove si incrociano le linee e il pezzo di cerchio dal lato dove le due linee divergono in modo da lasciare una sequenza retta-arco-retta.
    E' possibile ? :) grazie ciao

  5. #5
    Utente Standard L'avatar di rpor66
    Iscritto dal
    2007
    Messaggi
    617
    Professione
    Programmatore
    Regione
    Sicilia
    Software
    AutoCad, CadWorx, Excel, Lisp, VBA

    Predefinito

    Ma perché non fai il fillet (raccorda) delle 2 linee?
    Hai il raggio, ottieni lo stesso risultato con poco lavoro.

    (setvar "filletrad" raggio)
    (command "_fillet" Ent1 Ent2)

    Avendo la coordinata Pt2, puoi selezionare la linea tramite:
    (setq Ent1 (ssget Pt2))

    Fai la stessa operazione per l'altra e il gioco è fatto.

    Ciao

    p.s.: scusa se non ho risposto prima ma CAD3D.it è diventato irragiungibile per un pò.


  • Discussioni Simili

    1. Linea tangente ad un cerchio
      Di iron72 nel forum AutoCAD
      Risposte: 11
      Ultimo Messaggio: 08-06-2012, 12: 02
    2. Raccordo tri-tangente
      Di Utente NX nel forum NX (Unigraphics)
      Risposte: 20
      Ultimo Messaggio: 15-03-2011, 10: 42
    3. Cerchio tangente e punto finale
      Di iron72 nel forum AutoCAD
      Risposte: 17
      Ultimo Messaggio: 05-08-2010, 16: 18
    4. Tangente a una curva
      Di QuintaDimensione nel forum Rhino3D
      Risposte: 7
      Ultimo Messaggio: 24-06-2009, 17: 29
    5. linea tangente non coincidente
      Di danieli nel forum Creo Parametric (ex Pro/E)
      Risposte: 7
      Ultimo Messaggio: 08-01-2008, 11: 07

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  



    CAD3D.it - la community dei progettisti